1. V3 - Invoice
Cresium
  • Cresium - V3 Partners
    • API
      • Auth Information for V3 API Partners
      • V3 - Health
        • Health check
      • V3 - Transaction
        • Get Transaction data
        • Search transactions
        • Make a transfer
        • Confirm a transaction
        • Reverse a deposit transaction
        • Get transaction receipt
      • V3 - BankAddress
        • Get Address
      • V3 - CompanyFeature
        • Get Company Features
        • Update Feature Enabled State
      • V3 - Rate
        • Get TNA rate
      • V3 - DepositAddress
        • Update Deposit Address
        • Create Deposit Address
      • V3 - Invoice
        • Create Invoices
          POST
        • Read Invoices
          POST
      • V3 - Partner
        • Search partner transactions
      • V3 - User Address
        • Create or get User Address
      • V3 - Auth
        • V3 - Balance
          • Get all wallets for Company
        • Generate change password ID for partner user
      • V3 - CompanyTax
        • Upsert Company Tax
      • V3 - Signature Request
        • Create Signature Request
        • Update Signature Request
      • V3 - Payment
        • Create Payments
        • Read Payments
      • Webhooks
        • Auth Information for Webhooks
        • Transactions Events Examples - DEPOSIT
  1. V3 - Invoice

Create Invoices

POST
/v3/invoice/
Crea una o mas facturas de cobro (cuentas por cobrar).
Las facturas de cobro representan montos que la company espera recibir de sus clientes/pagadores.
El body es un array, permitiendo crear multiples facturas en una sola request.

Body Parameters (array de objetos)#

CampoTipoRequeridoDescripcion
amountnumberSiMonto de la factura
payerNationalIdentifierstringSiCUIT/CUIL del pagador
payerNamestringSiNombre del pagador
statusenumSiEstado inicial de la factura
descriptionstringNoDescripcion/concepto
internalNotestringNoNota interna (no visible al pagador)
payerInternalNotestringNoNota interna del pagador
payerEmailstringNoEmail del pagador
expiresAtstring (ISO 8601)NoFecha de vencimiento
createdAtstring (ISO 8601)NoFecha de creacion (default: ahora)
externalIdstringNoID externo para correlacion con sistema del partner
fileUrlstringNoURL del archivo/comprobante adjunto

Respuesta#

Retorna todas las facturas de cobro de la company (incluyendo las recien creadas).

Request

Body Params application/json

Examples

Responses

🟢200
application/json
Successful response
Body

🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.develop.cresium.app/v3/invoice/' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "amount": 0,
        "description": "string",
        "internalNote": "string",
        "payerInternalNote": "string",
        "payerNationalIdentifier": "string",
        "payerName": "string",
        "expiresAt": "2019-08-24T14:15:22.123Z",
        "createdAt": "2019-08-24T14:15:22.123Z",
        "payerEmail": "string",
        "externalId": "string",
        "fileUrl": "string",
        "status": "PROCESSING"
    }
]'
Response Response Example
200 - Example 1
{
    "data": {
        "invoices": [
            {
                "id": 0,
                "externalId": "string",
                "erpReferenceId": "string",
                "companyId": 0,
                "collaboratorId": 0,
                "amount": 0,
                "status": "PROCESSING",
                "createdAt": "string",
                "internalNote": "string",
                "payerInternalNote": "string",
                "description": "string",
                "payerNationalIdentifier": "string",
                "payerName": "string",
                "payerEmail": "string",
                "fileUrl": "string",
                "expiresAt": "2019-08-24T14:15:22.123Z",
                "paymentMethod": "CASH",
                "paymentDate": "2019-08-24T14:15:22.123Z",
                "paymentAmount": 0,
                "collaborator": {
                    "id": 0,
                    "firstName": "string",
                    "lastName": "string",
                    "image": "string",
                    "email": "string",
                    "role": "OWNER",
                    "phone": "string",
                    "birthDate": "2019-08-24T14:15:22.123Z",
                    "status": "CREATED"
                },
                "company": {
                    "id": 0,
                    "cuit": "string",
                    "name": "string",
                    "image": "string",
                    "phone": "string",
                    "email": "string",
                    "nationality": "string"
                },
                "transactions": [
                    {
                        "id": 0,
                        "type": "DEPOSIT",
                        "status": "PREVIEW",
                        "externalId": "string",
                        "currencyId": 0,
                        "currency": {
                            "symbol": "string",
                            "code": "ARS",
                            "image": "string",
                            "decimals": 0
                        },
                        "fromId": 0,
                        "toId": 0,
                        "from": {
                            "id": 0,
                            "type": "CVU",
                            "value": "string",
                            "bankName": "string",
                            "ownerName": "string",
                            "img": "string",
                            "uuid": "string"
                        },
                        "to": {
                            "id": 0,
                            "type": "CVU",
                            "value": "string",
                            "bankName": "string",
                            "ownerName": "string",
                            "img": "string",
                            "uuid": "string"
                        },
                        "companyId": 0,
                        "collaboratorId": 0,
                        "collaborator": {
                            "id": 0,
                            "firstName": "string",
                            "lastName": "string",
                            "image": "string",
                            "email": "string",
                            "role": "OWNER",
                            "phone": "string",
                            "birthDate": "2019-08-24T14:15:22.123Z",
                            "status": "CREATED"
                        },
                        "walletId": 0,
                        "tag": "RENTAL",
                        "createdAt": "2019-08-24T14:15:22.123Z",
                        "updatedAt": "2019-08-24T14:15:22.123Z",
                        "processedAt": "2019-08-24T14:15:22.123Z",
                        "totalAmount": 0,
                        "netAmount": 0,
                        "bulkTransactionId": 0,
                        "amounts": [
                            {
                                "id": 0,
                                "transactionId": 0,
                                "type": "FEE",
                                "amount": 0,
                                "key": "string"
                            }
                        ],
                        "recipients": [
                            {
                                "type": "EMAIL",
                                "value": "string"
                            }
                        ],
                        "billPayment": {
                            "companyName": "string",
                            "debtIdentifier": "string",
                            "expirationDate": "string"
                        },
                        "sendingDate": "2019-08-24T14:15:22.123Z",
                        "depositAddress": {
                            "id": 0,
                            "type": "CVU",
                            "value": "string",
                            "externalId": "string",
                            "currencyId": 0,
                            "currency": {
                                "symbol": "string",
                                "code": "ARS",
                                "image": "string",
                                "decimals": 0
                            },
                            "bankProvider": {
                                "name": "BIND",
                                "img": "string"
                            },
                            "wallet": {
                                "id": 0,
                                "balance": 0,
                                "lockedBalance": 0,
                                "investedBalance": 0,
                                "availableBalance": 0,
                                "currency": {
                                    "symbol": "string",
                                    "code": "ARS",
                                    "image": "string",
                                    "decimals": 0
                                },
                                "companyId": 0
                            },
                            "hasEcheqs": true
                        },
                        "description": "string",
                        "rawData": null
                    }
                ],
                "currency": {
                    "symbol": "string",
                    "code": "ARS",
                    "image": "string",
                    "decimals": 0
                },
                "companyIntegration": {
                    "id": 0,
                    "companyId": 0,
                    "key": "KONVEX",
                    "enabled": true,
                    "url": "string",
                    "metadata": null,
                    "img": "string",
                    "name": "string",
                    "lastSync": "string"
                },
                "userAddress": {
                    "id": 0,
                    "name": "string",
                    "uuid": "string",
                    "description": "string",
                    "ranking": 0,
                    "email": "string",
                    "phone": "string"
                },
                "uuid": "string",
                "userAddressAccumulators": {
                    "PENDING": {
                        "amount": 0,
                        "summedAmounts": 0
                    },
                    "EXPIRED": {
                        "amount": 0,
                        "summedAmounts": 0
                    },
                    "PAID": {
                        "amount": 0,
                        "summedAmounts": 0
                    }
                }
            }
        ],
        "pageSize": 0,
        "cursor": 0,
        "hasMore": true
    }
}
Modified at 2026-02-20 14:42:30
Previous
Create Deposit Address
Next
Read Invoices
Built with